summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoranthraxx2016-06-12 19:24:22 +0200
committeranthraxx2016-06-12 19:24:22 +0200
commitbc96c7d49ef2626fb5962701268df08638b5c3b6 (patch)
treec11f19209b302a2b62f80dd48569fd9cb5609422
parent985b89579ebe933c5eb96b9417b0e4401159e26c (diff)
downloadaur-bc96c7d49ef2626fb5962701268df08638b5c3b6.tar.gz
upgpkg: ropper-git 1.9.5.383.2a40346-1
- upstream release - split package for py2+3 lib
-rw-r--r--.SRCINFO27
-rw-r--r--PKGBUILD66
2 files changed, 75 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 313758decfe..686eb095119 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Wed Jun 1 01:26:27 UTC 2016
+# Sun Jun 12 17:24:22 UTC 2016
pkgbase = ropper-git
pkgdesc = Show information about binary files and find gadgets to build rop chains for different architectures
- pkgver = 1.9.1.363.ee7d392
+ pkgver = 1.9.5.383.2a40346
pkgrel = 1
url = https://github.com/sashs/Ropper
arch = any
@@ -10,8 +10,11 @@ pkgbase = ropper-git
checkdepends = sqlite
makedepends = git
makedepends = python-setuptools
- depends = python-capstone
- depends = python-filebytes
+ makedepends = python-capstone
+ makedepends = python-filebytes
+ makedepends = python2-setuptools
+ makedepends = python2-capstone
+ makedepends = python2-filebytes
optdepends = sqlite: gadgets database support
optdepends = python-keystone: assemble command support
provides = ropper
@@ -20,4 +23,20 @@ pkgbase = ropper-git
sha512sums = SKIP
pkgname = ropper-git
+ depends = python
+ depends = python-ropper
+ provides = ropper
+ conflicts = ropper
+
+pkgname = python-ropper-git
+ depends = python-capstone
+ depends = python-filebytes
+ provides = python-ropper
+ conflicts = python-ropper
+
+pkgname = python2-ropper-git
+ depends = python2-capstone
+ depends = python2-filebytes
+ provides = python2-ropper
+ conflicts = python2-ropper
diff --git a/PKGBUILD b/PKGBUILD
index 2fb390a7b4e..00aee82876a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,20 +1,20 @@
# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
-pkgname=ropper-git
-pkgver=1.9.1.363.ee7d392
+pkgbase=ropper-git
+pkgname=('ropper-git' 'python-ropper-git' 'python2-ropper-git')
+pkgver=1.9.5.383.2a40346
pkgrel=1
-pkgdesc="Show information about binary files and find gadgets to build rop chains for different architectures"
-url="https://github.com/sashs/Ropper"
+pkgdesc='Show information about binary files and find gadgets to build rop chains for different architectures'
+url='https://github.com/sashs/Ropper'
arch=('any')
license=('GPL2')
-depends=('python-capstone' 'python-filebytes')
optdepends=('sqlite: gadgets database support'
'python-keystone: assemble command support')
-makedepends=('git' 'python-setuptools')
+makedepends=('git' 'python-setuptools' 'python-capstone' 'python-filebytes' 'python2-setuptools' 'python2-capstone' 'python2-filebytes')
checkdepends=('sqlite')
provides=('ropper')
conflicts=('ropper')
-source=(${pkgname}::git+https://github.com/sashs/Ropper)
+source=(${pkgbase}::git+https://github.com/sashs/Ropper)
sha512sums=('SKIP')
pkgver() {
@@ -22,21 +22,59 @@ pkgver() {
printf "%s.%s.%s" "$(python setup.py --version)" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
+prepare() {
+ cp -ra ${pkgbase}{,-py2}
+ sed -r 's|(env python)|\12|' -i ${pkgbase}-py2/sample.py
+}
+
build() {
- cd ${pkgname}
- python setup.py build
+ (cd ${pkgbase}
+ python setup.py build
+ )
+ (cd ${pkgbase}-py2
+ python2 setup.py build
+ )
}
check() {
- cd ${pkgname}
- python test.py
+ (cd ${pkgbase}
+ python test.py
+ )
+ (cd ${pkgbase}-py2
+ python2 test.py
+ )
}
-package() {
- cd ${pkgname}
- python setup.py install -O1 --root="${pkgdir}"
+package_ropper-git() {
+ depends=('python' 'python-ropper')
+ provides=('ropper')
+ conflicts=('ropper')
+ cd ${pkgbase}
+ python setup.py install -O1 --root="${pkgdir}" --skip-build
+ install -Dm 644 README.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"
+ rm -r "${pkgdir}/usr/lib"
+}
+
+package_python-ropper-git() {
+ depends=('python-capstone' 'python-filebytes')
+ provides=('python-ropper')
+ conflicts=('python-ropper')
+ cd ${pkgbase}
+ python setup.py install -O1 --root="${pkgdir}" --skip-build
+ install -Dm 644 README.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"
+ install -Dm 644 sample.py "${pkgdir}/usr/share/doc/${pkgname}/sample.py"
+ rm "${pkgdir}/usr/bin/ropper"
+}
+
+package_python2-ropper-git() {
+ depends=('python2-capstone' 'python2-filebytes')
+ provides=('python2-ropper')
+ conflicts=('python2-ropper')
+ cd ${pkgbase}-py2
+ python2 setup.py install -O1 --root="${pkgdir}" --skip-build
install -Dm 644 README.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"
install -Dm 644 sample.py "${pkgdir}/usr/share/doc/${pkgname}/sample.py"
+ rm "${pkgdir}/usr/bin/ropper"
}
# vim: ts=2 sw=2 et: